POST api/order/{id}/comment
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | string |
None. |
Body Parameters
OrderDto| Name | Description | Type | Additional information |
|---|---|---|---|
| ShortUnique | string |
None. |
|
| Id | globally unique identifier |
None. |
|
| PersonId | globally unique identifier |
None. |
|
| PersonName | string |
None. |
|
| Products | Collection of EntityDto |
None. |
|
| CampaignId | globally unique identifier |
None. |
|
| CampaignName | string |
None. |
|
| Updated | date |
None. |
|
| Status | integer |
None. |
|
| StatusName | string |
None. |
|
| OrderLines | Collection of OrderLineDto |
None. |
|
| Postage | PriceDto |
None. |
|
| Price | PriceDto |
None. |
|
| Created | date |
None. |
|
| Recurring | boolean |
None. |
|
| FullfillmentCompany | string |
None. |
|
| FulfillmentId | string |
None. |
|
| PaymentId | string |
None. |
|
| PaymentCompany | string |
None. |
|
| Comment | string |
None. |
|
| DeliveryMethod | string |
None. |
|
| PaymentCompanySubscriptionId | string |
None. |
|
| StatusDto | StatusDto |
None. |
|
| CampaignCode | string |
None. |
|
| Campaign | EntityDto |
None. |
|
| FromCart | globally unique identifier |
None. |
|
| IsExternalOrder | boolean |
None. |
|
| FulfillmentDate | date |
None. |
|
| FulfillmentDeliveryDate | date |
None. |
|
| CaptureDate | date |
None. |
|
| PaidDate | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"shortUnique": "sample string 1",
"id": "8eb4a1f3-1ae5-4778-bb58-2f52747b5c52",
"personId": "00e5b507-0d73-40fd-936d-1b3895387542",
"personName": "sample string 3",
"products": [
{
"id": "16949454-edc9-434d-b37e-1f905665f894",
"name": "sample string 2",
"type": "sample string 3"
},
{
"id": "16949454-edc9-434d-b37e-1f905665f894",
"name": "sample string 2",
"type": "sample string 3"
}
],
"campaignId": "fed9e9fd-df1a-4343-9e21-a698869af2f5",
"campaignName": "sample string 4",
"updated": "2026-06-07T08:20:34.1404668+02:00",
"status": 6,
"statusName": "sample string 7",
"orderLines": [
{
"id": "7fac9846-2644-4d20-b25f-77f32385992b",
"type": "sample string 2",
"count": 3.0,
"price": {
"id": "428d7f59-cee4-4d0d-ae32-11a65cb87345",
"amount": 1.0,
"currency": "sample string 2",
"productId": "b97f7329-600d-43d0-9dfb-220991110877",
"symbol": "sample string 3",
"isSymbolBefore": true
},
"names": [
"sample string 1",
"sample string 2"
],
"updated": "2026-06-07T08:20:34.1404668+02:00",
"created": "2026-06-07T08:20:34.1404668+02:00",
"campaignName": "sample string 6",
"campaignId": "f490d500-d0bb-462a-946b-b1015f689fb8",
"productName": "sample string 7",
"productId": "0351e69d-992c-4543-852c-82cd2c4ecee8",
"recurring": true
},
{
"id": "7fac9846-2644-4d20-b25f-77f32385992b",
"type": "sample string 2",
"count": 3.0,
"price": {
"id": "428d7f59-cee4-4d0d-ae32-11a65cb87345",
"amount": 1.0,
"currency": "sample string 2",
"productId": "b97f7329-600d-43d0-9dfb-220991110877",
"symbol": "sample string 3",
"isSymbolBefore": true
},
"names": [
"sample string 1",
"sample string 2"
],
"updated": "2026-06-07T08:20:34.1404668+02:00",
"created": "2026-06-07T08:20:34.1404668+02:00",
"campaignName": "sample string 6",
"campaignId": "f490d500-d0bb-462a-946b-b1015f689fb8",
"productName": "sample string 7",
"productId": "0351e69d-992c-4543-852c-82cd2c4ecee8",
"recurring": true
}
],
"postage": {
"id": "428d7f59-cee4-4d0d-ae32-11a65cb87345",
"amount": 1.0,
"currency": "sample string 2",
"productId": "b97f7329-600d-43d0-9dfb-220991110877",
"symbol": "sample string 3",
"isSymbolBefore": true
},
"price": {
"id": "428d7f59-cee4-4d0d-ae32-11a65cb87345",
"amount": 1.0,
"currency": "sample string 2",
"productId": "b97f7329-600d-43d0-9dfb-220991110877",
"symbol": "sample string 3",
"isSymbolBefore": true
},
"created": "2026-06-07T08:20:34.1404668+02:00",
"recurring": true,
"fullfillmentCompany": "sample string 10",
"fulfillmentId": "sample string 11",
"paymentId": "sample string 12",
"paymentCompany": "sample string 13",
"comment": "sample string 14",
"deliveryMethod": "sample string 15",
"paymentCompanySubscriptionId": "sample string 16",
"statusDto": {
"id": 1,
"name": "sample string 2",
"readableName": "sample string 3",
"type": "sample string 4",
"color": "sample string 5"
},
"campaignCode": "sample string 17",
"campaign": {
"id": "16949454-edc9-434d-b37e-1f905665f894",
"name": "sample string 2",
"type": "sample string 3"
},
"fromCart": "9f5d93de-82cf-40ef-8819-df3816e7ac4d",
"isExternalOrder": true,
"fulfillmentDate": "2026-06-07T08:20:34.1404668+02:00",
"fulfillmentDeliveryDate": "2026-06-07T08:20:34.1404668+02:00",
"captureDate": "2026-06-07T08:20:34.1404668+02:00",
"paidDate": "2026-06-07T08:20:34.1404668+02:00"
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.